#include "munga.h"
#pragma hdrstop

#include "unitvec.h"

UnitVector& UnitVector::Lerp(const UnitVector& /*v1*/, const UnitVector& /*v2*/, Scalar /*t*/)
{
	Check_Pointer(this);
	Tell("UnitVector::Lerp stubbed out!\n");
	return *this;
}

Logical UnitVector::TestInstance() const
{
	Scalar length = Vector3D::LengthSquared();
	Scalar diff = 1.0f - length;
	if (!Small_Enough(diff, 2e-5))
	{
		length = x*x + y*y + z*z;
		diff = 1.0f - length;
		if (!Small_Enough(diff, 2e-5))
		{
			Dump(*this);
			Dump(length);
			Dump(x*x + y*y + z*z);
			Dump(diff);
			return false;
		}
	}
	return true;
}

#if defined(TEST_CLASS)
	#include "unitvec.tcp"
#endif

